tcp_accept_data Struct Reference

`#include <sock.h>`

## Data Fields

engine_type * | engine
sock_type * | socket
size_t | tcp_accept_handler_count
netio_handler_type * | tcp_accept_handlers

## Detailed Description

Data for tcp accept handlers.

Definition at line 75 of file sock.h.

## Field Documentation

## engine

engine_type* tcp_accept_data::engine

Definition at line 76 of file sock.h.

Referenced by dnshandler_start(), and sock_handle_tcp_accept().

## socket

sock_type* tcp_accept_data::socket

Definition at line 77 of file sock.h.

Referenced by dnshandler_start().

## tcp_accept_handler_count

size_t tcp_accept_data::tcp_accept_handler_count

Definition at line 78 of file sock.h.

Referenced by dnshandler_start(), and sock_handle_tcp_accept().

## tcp_accept_handlers

netio_handler_type* tcp_accept_data::tcp_accept_handlers

Definition at line 79 of file sock.h.

Referenced by dnshandler_start(), and sock_handle_tcp_accept().

The documentation for this struct was generated from the following file:

- src/wire/sock.h